DB_ENV->set_mp_max_openfd |

`

    #include <db.h>

    int
    DB_ENV->set_mp_max_openfd(DB_ENV *env, int maxopenfd);

    int
    DB_ENV->get_mp_max_openfd(DB_ENV *env, int *maxopenfdp);

Description: DB_ENV->set_mp_max_openfd

The DB_ENV->set_mp_max_openfd method limits the number of file descriptors the library will open concurrently when flushing dirty pages from the cache.

The database environment's limit on open file descriptors to flush dirty pages may also be configured using the environment's DB_CONFIG file. The syntax of the entry in that file is a single line with the string "set_max_openfd", one or more whitespace characters, and the number of open file descriptors. Because the DB_CONFIG file is read when the database environment is opened, it will silently overrule configuration done before that time.

The DB_ENV->set_mp_max_write method configures a database environment, not only operations performed using the specified DB_ENV handle.

The DB_ENV->set_mp_max_openfd method returns a non-zero error value on failure and 0 on success.

Parameters
maxopenfd

- The maximum number of file descriptors that may be concurrently opened by the library when flushing dirty pages from the cache.

Errors

The DB_ENV->set_mp_max_openfd method may fail and return one of the following non-zero errors:

EINVAL

- An invalid flag value or parameter was specified.

Description: DB_ENV->get_mp_max_openfd

The DB_ENV->get_mp_max_openfd method returns the maximum number of file descriptors open.

The DB_ENV->get_mp_max_openfd method may be called at any time during the life of the application.

The DB_ENV->get_mp_max_openfd method returns a non-zero error value on failure and 0 on success.

Parameters
maxopenfdp

- The DB_ENV->get_mp_max_openfd method returns the maximum number of file descriptors open in maxopenfdp.

Class DB_ENV, DB_MPOOLFILE
See Also Memory Pools and Related Methods`

Copyright (c) 1996,2008 Oracle. All rights reserved.